"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function build(obj, writableStream) {
    let prefix;
    obj = JSON.parse(obj);
    for (const [k, v] of Object.entries(obj)) {
        if (typeof v == 'string' || typeof v == 'number') {
            prefix = k.toUpperCase() + '_';
            backData(prefix, v, writableStream);
        }
        else if (typeof v == 'object') {
            prefix = k.toUpperCase() + '_';
            backData(prefix, v, writableStream);
        }
    }
}
function backData(prefix, obj, writableStream) {
    for (const [k, v] of Object.entries(obj)) {
        if (typeof v == 'string' || typeof v == 'number') {
            let prefixNM = prefix + k.toUpperCase();
            let exportString = prefixNM + '=' + v + '\n';
            writableStream.write(exportString);
        }
        else {
            let prefixNM = prefix + k.toUpperCase() + '_';
            backData(prefixNM, v, writableStream);
        }
    }
}
exports.default = build;
//# sourceMappingURL=index.js.map